Package picard.fingerprint

# Class MatchResults

java.lang.Object
picard.fingerprint.MatchResults

All Implemented Interfaces:
  `Comparable<MatchResults>`

public class MatchResults extends Object implements Comparable<MatchResults>
Represents the results of a fingerprint comparison between one dataset and a specific fingerprint file. Implements Comparable so that better matches (higher positive LODs) are sorted earlier.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(MatchResults that)`
Provides a natural sort so that better matches (by LOD) sort earlier.
`Path`
`getFingerprintFile()`
`SortedSet<picard.fingerprint.LocusResult>`
`getLocusResults()`
`double`
`getLOD()`
`double`
`getLodNT()`
`double`
`getLodTN()`
`double`
`getPopulationLikelihood()`
`String`
`getSample()`
`double`
`getSampleLikelihood()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getLodNT

public double getLodNT()

### getLodTN

public double getLodTN()

### compareTo

public int compareTo(MatchResults that)
Provides a natural sort so that better matches (by LOD) sort earlier.

Specified by:
  `compareTo` in interface `Comparable<MatchResults>`

### getSample

public String getSample()

### getSampleLikelihood

public double getSampleLikelihood()

### getPopulationLikelihood

public double getPopulationLikelihood()

### getLOD

public double getLOD()

### getLocusResults

public SortedSet<picard.fingerprint.LocusResult> getLocusResults()

### getFingerprintFile

public Path getFingerprintFile()